Package com.massivecraft.factions.zcore.nbtapi

## Enum NBTType

- java.lang.Object
- - java.lang.Enum<NBTType>
  - - com.massivecraft.factions.zcore.nbtapi.NBTType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<NBTType>`, `java.lang.constant.Constable`

    public enum NBTType
    extends java.lang.Enum<NBTType>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`NBTTagByte` |
`NBTTagByteArray` |
`NBTTagCompound` |
`NBTTagDouble` |
`NBTTagEnd` |
`NBTTagFloat` |
`NBTTagInt` |
`NBTTagIntArray` |
`NBTTagList` |
`NBTTagLong` |
`NBTTagShort` |
`NBTTagString` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getId()` |
`static NBTType` | `valueOf​(int id)` | Returns the enum constant of this type with the specified name.
`static NBTType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static NBTType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NBTTagEnd

    public static final NBTType NBTTagEnd

#### NBTTagByte

    public static final NBTType NBTTagByte

#### NBTTagShort

    public static final NBTType NBTTagShort

#### NBTTagInt

    public static final NBTType NBTTagInt

#### NBTTagLong

    public static final NBTType NBTTagLong

#### NBTTagFloat

    public static final NBTType NBTTagFloat

#### NBTTagDouble

    public static final NBTType NBTTagDouble

#### NBTTagByteArray

    public static final NBTType NBTTagByteArray

#### NBTTagIntArray

    public static final NBTType NBTTagIntArray

#### NBTTagString

    public static final NBTType NBTTagString

#### NBTTagList

    public static final NBTType NBTTagList

#### NBTTagCompound

    public static final NBTType NBTTagCompound

### Method Detail

#### values

    public static NBTType[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NBTType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### valueOf

    public static NBTType valueOf​(int id)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `id` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getId

    public int getId()